
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #255

divide by zero in FR2MS (r=0, f=0) at output.c:72

February 18, 2013 15:04 - Michael Schwendt

Status: Closed Start date: February 18, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.4   

Description

Audacious 3.3.4 on x86_64

https://bugzilla.redhat.com/912312

Full backtrace: https://bugzilla.redhat.com/attachment.cgi?id=698835

Any idea what has happened there?

[...]

Thread 1 (Thread 0x7f8afb5549c0 (LWP 3891)):

#0  0x0000000000411ccd in FR2MS (r=0, f=0) at output.c:72

No locals.

#1  output_get_time () at output.c:446

time = 0

delay = 0

#2  0x0000000000412c05 in playback_get_time () at playback.c:178

 PRETTY_FUNCTION = "playback_get_time"

time = <optimized out>

#3  0x00007f8aed197c1e in aud_drct_get_time () at /usr/include/audacious/drct-api.h:43

No locals.

#4  update (object=0xf83360) at plugin.c:179      # <-- mpris2/plugin.c

pos = 0

vol = 0

#5  0x0000003d1d606957 in hook_call (name=0x426a71 "playback begin", data=0x0) at hook.c:126

item = 0xfa4420

next = <optimized out>

node = 0xfa4400

list = 0xfbf660

#6  0x000000000040b896 in add_finish (unused=<error reading variable: value has been optimized out>) at adder.c:417

result = 0x100c380

playlist = 0

count = 0

[...]

History

#1 - February 20, 2013 01:52 - John Lindgren

The backtrace makes it look like Audacious was trying to play a FLAC file with a zero samplerate.  Is the crash reproducible with that file?

#2 - February 20, 2013 02:07 - John Lindgren

Should be fixed by this commit. Please confirm:

https://github.com/audacious-media-player/audacious/commit/c9f679dfcd845327320fd3f99828d457144d16ae

#3 - February 21, 2013 10:40 - Michael Schwendt

Reporter didn't provide the data I asked for but answered "all solved ,the flac I performed it had not completed the upload".

#4 - February 24, 2013 23:25 - John Lindgren
- Status changed from New to Closed

Closing then.  Sounds like a corrupt file, which should be prevented against now.
